---
title: Getting Started Learning WiX
layout: documentation
---
# Getting Started

There are several options available to get started learning how to use WiX.

## How To Guides

This help file includes a set of [How To Guides](~/howtos/index.html) that explain how to accomplish common Windows Installer tasks using WiX.

## Tutorials

If you prefer to learn from a tutorial, the following options are available:

* <a href='http://msdn.microsoft.com/en-us/magazine/cc163456.aspx' target='_blank'>Automate Releases With MSBuild And Windows Installer XML</a>
* <a href='http://wix.tramontana.co.hu/' target='_blank'>http://wix.tramontana.co.hu/</a> This tutorial is a great way to ramp up on the WiX toolset if you are new to WiX or are looking for answers to common authoring questions.

If you prefer to learn from audio-visual presentations, the following options are available:

* <a href='http://blogs.msdn.com/robmen/archive/2004/09/23/233684.aspx' target='_blank'>Blog introduction with video</a>
* <a href='http://channel9.msdn.com/Blogs/scobleizer/Wix-team-The-most-used-piece-of-software-at-Microsoft-and-its-open-source' target='_blank'>Video on Channel 9</a>

## Community

If you prefer to learn by interacting with the community, there is a WiX users 
mailing list at <a href="http://wix.sourceforge.net/mailinglists.html#wix-users" 
target="_blank">http://wix.sourceforge.net/mailinglists.html#wix-users</a>.

## Integrated Development Environment

If you prefer to learn by using an integrated development environment, there is 
an overview of WiX editors at
<a href="http://robmensching.com/blog/archive/2007/11/20/WiX-editors.aspx" target="_blank">http://robmensching.com/blog/archive/2007/11/20/WiX-editors.aspx</a>.

##Reverse Engineering

If you prefer to learn by working backward from a Windows Installer package you have already created, you can run the [WiX decompiler](~/overview/alltools.html) \(Dark\) to convert your package into WiX authoring and then recompile it using the [WiX compiler](~/overview/candle.html) \(Candle\) and [WiX linker](~/overview/light.html) \(Light\).

## Reading Source Code

If you prefer to learn by reading code, WiX is an open source project, and you can look at the source code by reviewing the [How to be a Windows Installer XML Developer](~/wixdev/wixdev_getting_started.html) topic.

## Fix a Bug, Write a Feature

If you prefer to learn by writing code, you can review the following WiX issue trackers:

* <b>Bugs</b> - <a href='http://sourceforge.net/tracker/?group_id=105970&amp;atid=642714' target='_blank'>http://sourceforge.net/tracker/?group_id=105970&amp;atid=642714</a>

* <b>Features</b> - <a href='http://sourceforge.net/tracker/?group_id=105970&amp;atid=642717' target='_blank'>http://sourceforge.net/tracker/?group_id=105970&amp;atid=642717</a>

For WiX development assistance, there is a WiX developer mailing list at <a href='http://sourceforge.net/mailarchive/forum.php?forum_name=wix-devs' target='_blank'>http://sourceforge.net/mailarchive/forum.php?forum_name=wix-devs</a>.
